<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionBuildNoBuildZone Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d60/a03373.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionBuildNoBuildZone Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ac8c1a10d91fa849ebc78bf38b90fa072"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d60/a03373.html#ac8c1a10d91fa849ebc78bf38b90fa072">ExpansionBuildNoBuildZone</a> (<a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> <a class="el" href="../../dc/dce/a01505.html#ac884e55f04581066557cb0154a82a44a">name</a>, vector center, float <a class="el" href="../../d2/d11/a02384.html#a5050a760c11da521cd4aee6336f6529f">radius</a>, TStringArray items, bool is_whitelist=true, <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> message=&quot;&quot;)</td></tr>
<tr class="memdesc:ac8c1a10d91fa849ebc78bf38b90fa072"><td class="mdescLeft">&#160;</td><td class="mdescRight">Custom message for this zone if conditions are not met (optional, uses default message if not set)  <a href="../../d8/d60/a03373.html#ac8c1a10d91fa849ebc78bf38b90fa072">More...</a><br /></td></tr>
<tr class="separator:ac8c1a10d91fa849ebc78bf38b90fa072"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:acf7371461fee3939bbf26a3fbf2a7612"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d60/a03373.html#acf7371461fee3939bbf26a3fbf2a7612">Name</a></td></tr>
<tr class="separator:acf7371461fee3939bbf26a3fbf2a7612"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8e7f0107a993cd464224b0caf6e673e"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d60/a03373.html#ab8e7f0107a993cd464224b0caf6e673e">Center</a></td></tr>
<tr class="separator:ab8e7f0107a993cd464224b0caf6e673e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95ef4836a002e10ab76244108c0ac799"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d60/a03373.html#a95ef4836a002e10ab76244108c0ac799">Radius</a></td></tr>
<tr class="separator:a95ef4836a002e10ab76244108c0ac799"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae206afa9f0991bfef3f9a9ed15efe852"><td class="memItemLeft" align="right" valign="top">ref TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d60/a03373.html#ae206afa9f0991bfef3f9a9ed15efe852">Items</a></td></tr>
<tr class="separator:ae206afa9f0991bfef3f9a9ed15efe852"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb32ad7ea00adc5e45eab9c13e61b3ad"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d60/a03373.html#afb32ad7ea00adc5e45eab9c13e61b3ad">IsWhitelist</a></td></tr>
<tr class="separator:afb32ad7ea00adc5e45eab9c13e61b3ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a007e6ad4932d10b46b07647110614f05"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d60/a03373.html#a007e6ad4932d10b46b07647110614f05">CustomMessage</a></td></tr>
<tr class="separator:a007e6ad4932d10b46b07647110614f05"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d6/d5b/a00026.html">ExpansionBuildNoBuildZone.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d5b/a00026_source.html#l00013">13</a> of file <a class="el" href="../../d6/d5b/a00026_source.html">expansionbuildnobuildzone.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac8c1a10d91fa849ebc78bf38b90fa072" name="ac8c1a10d91fa849ebc78bf38b90fa072"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8c1a10d91fa849ebc78bf38b90fa072">&#9670;&#160;</a></span>ExpansionBuildNoBuildZone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionBuildNoBuildZone::ExpansionBuildNoBuildZone </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>center</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>radius</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">TStringArray&#160;</td>
          <td class="paramname"><em>items</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>is_whitelist</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>message</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Custom message for this zone if conditions are not met (optional, uses default message if not set) </p>

<p class="definition">Definition at line <a class="el" href="../../d6/d5b/a00026_source.html#l00022">22</a> of file <a class="el" href="../../d6/d5b/a00026_source.html">expansionbuildnobuildzone.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ab8e7f0107a993cd464224b0caf6e673e" name="ab8e7f0107a993cd464224b0caf6e673e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8e7f0107a993cd464224b0caf6e673e">&#9670;&#160;</a></span>Center</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector ExpansionBuildNoBuildZone::Center</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5b/a00026_source.html#l00016">16</a> of file <a class="el" href="../../d6/d5b/a00026_source.html">expansionbuildnobuildzone.c</a>.</p>

</div>
</div>
<a id="a007e6ad4932d10b46b07647110614f05" name="a007e6ad4932d10b46b07647110614f05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a007e6ad4932d10b46b07647110614f05">&#9670;&#160;</a></span>CustomMessage</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionBuildNoBuildZone::CustomMessage</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5b/a00026_source.html#l00020">20</a> of file <a class="el" href="../../d6/d5b/a00026_source.html">expansionbuildnobuildzone.c</a>.</p>

</div>
</div>
<a id="afb32ad7ea00adc5e45eab9c13e61b3ad" name="afb32ad7ea00adc5e45eab9c13e61b3ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb32ad7ea00adc5e45eab9c13e61b3ad">&#9670;&#160;</a></span>IsWhitelist</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionBuildNoBuildZone::IsWhitelist</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5b/a00026_source.html#l00019">19</a> of file <a class="el" href="../../d6/d5b/a00026_source.html">expansionbuildnobuildzone.c</a>.</p>

</div>
</div>
<a id="ae206afa9f0991bfef3f9a9ed15efe852" name="ae206afa9f0991bfef3f9a9ed15efe852"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae206afa9f0991bfef3f9a9ed15efe852">&#9670;&#160;</a></span>Items</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref TStringArray ExpansionBuildNoBuildZone::Items</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5b/a00026_source.html#l00018">18</a> of file <a class="el" href="../../d6/d5b/a00026_source.html">expansionbuildnobuildzone.c</a>.</p>

</div>
</div>
<a id="acf7371461fee3939bbf26a3fbf2a7612" name="acf7371461fee3939bbf26a3fbf2a7612"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf7371461fee3939bbf26a3fbf2a7612">&#9670;&#160;</a></span>Name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionBuildNoBuildZone::Name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5b/a00026_source.html#l00015">15</a> of file <a class="el" href="../../d6/d5b/a00026_source.html">expansionbuildnobuildzone.c</a>.</p>

</div>
</div>
<a id="a95ef4836a002e10ab76244108c0ac799" name="a95ef4836a002e10ab76244108c0ac799"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95ef4836a002e10ab76244108c0ac799">&#9670;&#160;</a></span>Radius</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionBuildNoBuildZone::Radius</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d5b/a00026_source.html#l00017">17</a> of file <a class="el" href="../../d6/d5b/a00026_source.html">expansionbuildnobuildzone.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/3_game/dayzexpansion_basebuilding/settings/basebuilding/<a class="el" href="../../d6/d5b/a00026_source.html">expansionbuildnobuildzone.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/d60/a03373.html">ExpansionBuildNoBuildZone</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
